services:
  ferretdb:
    container_name: ${FERRETDB_CONTAINER_NAME}
    image: ${FERRETDB_IMAGE}
    restart: ${FERRETDB_RESTART_POLICY}
    security_opt:
      - no-new-privileges:true
    labels:
      - "komodo.skip=" # Prevent Komodo from stopping with StopAllContainers            
    #depends_on:
    #  - postgres
    logging:
      driver: ${COMPOSE_LOGGING_DRIVER:-local}
    networks:
      - komodo
    # ports:
    #   - 27017:27017
    env_file: ../env/komodo.env
    environment:
      #- FERRETDB_POSTGRESQL_URL=postgres://komodo:komodo@10.0.6.178/komodo?sslmode=disable
      - FERRETDB_POSTGRESQL_URL=postgres://${PSQL_HOST}:${PSQL_PORT}/${KOMODO_DATABASE_DB_NAME:-komodo}?sslmode=disable
